package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.TestType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor;

public class AUnitHudsonTestType extends TestType {

@DataBoundConstructor
public AUnitHudsonTestType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public TestTypeDescriptor<?> getDescriptor() {
 return new AUnitHudsonTestType.DescriptorImpl();
}

@Extension
public static class DescriptorImpl extends TestTypeDescriptor<AUnitHudsonTestType> {

  public DescriptorImpl() {
     super(AUnitHudsonTestType.class, com.thalesgroup.dtkit.junit.AUnit.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.junit.AUnit";
}

}

}
