package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.TestType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor;

public class PHPUnitHudsonTestType extends TestType {

@DataBoundConstructor
public PHPUnitHudsonTestType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public TestTypeDescriptor<?> getDescriptor() {
 return new PHPUnitHudsonTestType.DescriptorImpl();
}

@Extension
public static class DescriptorImpl extends TestTypeDescriptor<PHPUnitHudsonTestType> {

  public DescriptorImpl() {
     super(PHPUnitHudsonTestType.class, com.thalesgroup.dtkit.junit.PHPUnit.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.junit.PHPUnit";
}

}

}
